Bug 50082 - apachectl status returns incorrect exit code
Summary: apachectl status returns incorrect exit code
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: Core (show other bugs)
Version: 2.2.11
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-10-12 16:34 UTC by Brett Okken
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brett Okken 2010-10-12 16:34:20 UTC
apachectl status returns 0 regardless if httpd is running or not.

A message indicating failure is written to console when httpd is down:
Alert!: Unable to connect to remote host
lynx: Can't access startfile http://localhots/server-status
Comment 1 Eric Covener 2010-10-12 17:58:58 UTC
I wouldn't want apachectl to try to guess why lynx returned a bad status, but I don't see any reason why it couldn't pass the return code along.  

Giving this bug 24h to stew in case there is some objection (all the branches that actually call httpd do this)
Comment 2 Brett Okken 2010-10-13 21:47:43 UTC
Looks like fullstatus has the same problem as well.
Comment 3 Brett Okken 2010-12-13 17:43:57 UTC
What is the status of this? Were there any objections after stewing?
Comment 4 Eric Covener 2010-12-13 18:00:05 UTC
the pipe for awk in the "status" cmd makes us drop the return code anyway, so not as straightforward to fix in a portable way
Comment 5 William A. Rowe Jr. 2018-11-07 21:08:58 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.